Debian Bug report logs - #554855
cdbs: simple-patchsys needs non-POSIX behavior for patch

version graph

Package: cdbs; Maintainer for cdbs is CDBS Hackers <build-common-hackers@lists.alioth.debian.org>; Source for cdbs is src:cdbs.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Fri, 6 Nov 2009 23:12:02 UTC

Severity: important

Found in version cdbs/0.4.62+nmu1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#554855; Package cdbs. (Fri, 06 Nov 2009 23:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. (Fri, 06 Nov 2009 23:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdbs: simple-patchsys needs non-POSIX behavior for patch
Date: Fri, 6 Nov 2009 22:58:55 +0000
[Message part 1 (text/plain, inline)]
Package: cdbs
Version: 0.4.62+nmu1
Severity: important

According to POSIX, when patch fails to apply a patch, it must prompt on
/dev/tty for the file to patch.  patch exhibits this standard-conforming
behavior when the environment POSIXLY_CORRECT is set to 1.

It appears, however, that cdbs wants non-POSIX behavior from patch when
it runs the simple-patchsys rules.  This is fine, but if the user
building the package has POSIXLY_CORRECT set, the package build will
hang forever, and the package will FTBFS.  Therefore, if cdbs wants
non-POSIX behavior, it should be sure to unset POSIXLY_CORRECT (and
_POSIX2_VERSION).

See #462578 (fixed) for the change that was made to quilt.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cdbs depends on:
ii  debhelper                     7.4.3      helper programs for debian/rules

Versions of packages cdbs recommends:
ii  autotools-dev                 20090611.1 Update infrastructure for config.{

Versions of packages cdbs suggests:
ii  devscripts                    2.10.55    scripts to make the life of a Debi
ii  doc-base                      0.9.5      utilities to manage online documen

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:20:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.